import { model, Model } from '@core/core';
import { TEST_STATUS } from '@constants/constant';

@model()
export class TestStatusModel extends Model {
    static xtype = 'dec.dcm.model.components.test_status';
    state() {
        return {
            status: TEST_STATUS.LOADING,
            link: '',
        };
    }

    actions = {
        setStatus: (status: string) => {
            this.model.status = status;
        },
        setLink: (link: string) => {
            this.model.link = link;
        },
    }
}
