import { model, Model } from '@core/core';

@model()
export class TipFailModel extends Model {
    static xtype = 'dec.dcm.model.components.test_status.tip_fail';

    context: ['isCollapse'];

    state() {
        return {
            isCollapse: false,
        };
    }

    actions = {
        setIsCollapse: (isCollapse: boolean) => {
            this.model.isCollapse = isCollapse;
        },
    }
}
