import { shortcut } from '@core/core';
@shortcut()
export class TipIcon extends BI.Widget {
    static xtype = 'dec.dcm.components.test_status.tip_icon';

    props = {
        tipCls: '',
        tipText: '',
    }
    render() {
        const { tipCls, tipText } = this.options;

        return {
            type: BI.CenterAdaptLayout.xtype,
            items: [
                {
                    type: BI.VerticalLayout.xtype,
                    items: [
                        {
                            type: BI.HorizontalAutoLayout.xtype,
                            cls: tipCls,
                            bgap: 20,
                            items: [{
                                type: 'bi.icon',
                                width: 60,
                                height: 60,
                            }],
                        }, {
                            type: BI.Label.xtype,
                            height: 14,
                            text: tipText,
                        },
                    ],
                },
            ],
        };
    }
}
