import { shortcut, store } from '@core/core';
import { ConnectionPluginModel } from './connection_plugin.model';
import { getPluginWidgetShow } from 'src/modules/app.service';
@shortcut()
@store(ConnectionPluginModel)
export class ConnectionPlugin extends BI.Widget {
    static xtype = 'dec.dcm.connection_plugin';

    model: ConnectionPluginModel['model'];

    render () {
        const databaseType = this.model.connectionSelectedOne.connectionType;
        
        return {
            type: getPluginWidgetShow(databaseType),
            value: this.model.connectionSelectedOne.connectionData,
        };
    }
}
