import { Model, model } from '@core/core';
import { AppModel } from 'src/modules/app.model';

@model()
export class FilterModel extends Model<{
    types : {
        filter: AppModel['TYPE']['filter'];
    },
    context: FilterModel['context'];
}> {
    static xtype = 'dec.dcm.model.datebase.filter';
    context = <const>['filter'];

    actions = {
        setFilter:(filter: string) => {
            this.model.filter = filter;
        },
    };
}
