import { model, Model } from '@core/core';
import { AppModel } from 'src/modules/app.model';

@model()
export class TitleDatebaseModel extends Model<{
    types: {
        pageIndex: AppModel['TYPE']['pageIndex'];
        datebaseTypeSelected: AppModel['TYPE']['datebaseTypeSelected'];
    },
    context: TitleDatebaseModel['context'];
}> {
    static xtype = 'dec.dcm.model.title_datebase';

    context = <const>['pageIndex', 'datebaseTypeSelected'];

    actions = {
        setPageIndex: (index: string) => {
            this.model.pageIndex = index;
        },
    }
}
