export const fineServletURL = Dec.fineServletURL;
export const ReqPath = '/v10/config/connection';
export const ReqPrefix = `${fineServletURL}${ReqPath}`;
export const ImgPrefix = `${fineServletURL}/resources?path=/com/fr/web/resources/dist/images/2x/icon/database/`;
export const PluginImgPrefix = `${fineServletURL}/resources?path=`;

export const connectionType: {
    JDBC: string;
    JNDI: string;
} = DecCst.Connect.ConnectionType;

export const editStatusEvent: {
    OPEN: string;
    SHUTDOWN: string;
} = DecCst.Connect.EditStatusEvent;

export const errorCode: {
    CONNECTION_DELETED: string;
    CONNECTION_UNDER_EDIT: string;
    DUPLICATE_NAMES: string;
    LOGIN_INFO_NOT_AVAILABLE: string;
    LOGIN_INFO_ERROR: string;
    TIMEOUT: string;
} = DecCst.ErrorCode;
