import { DecisionApi } from './decision.api';
import { DesignApi } from './design.api';
import { Api } from './api';

export class ApiFactory {
    isDec = true;
    create():Api {
        if (this.isDec) {
            return new DecisionApi();
        }
        
        return new DesignApi();
    }
}
