import { model, Model } from '@core/core';
import { ConnectionPoolModel } from '../connection_pool.model';
@model()
export class ListItemModel extends Model<{
    types : {
        selected: ConnectionPoolModel['TYPE']['selected'];
    },
    context: ListItemModel['context'];
}> {
    static xtype = 'dec.dcm.model.connection_pool.list_item';
    context = <const>['selected'];
    actions = {
        setSelected: (selected: string) => {
            this.model.selected = selected;
        },
    }
}
