import { model, Model } from '@core/core';
import { AppModel } from '../../app.model';
@model()
export class MaintainModel extends Model<{
    types : {
        pageIndex: AppModel['TYPE']['pageIndex'];
        connections: AppModel['TYPE']['connections'];
        datebaseTypeSelected: AppModel['TYPE']['datebaseTypeSelected'];
        datebaseTypeSelectedOne: AppModel['TYPE']['datebaseTypeSelectedOne'];
        connectionSelectedOne: AppModel['TYPE']['connectionSelectedOne'];
        isCopy: AppModel['TYPE']['isCopy'];
    },
    context: MaintainModel['context'];
}> {
    static xtype = 'dec.dcm.model.maintain';
    context = <const>['pageIndex', 'datebaseTypeSelected', 'datebaseTypeSelectedOne', 'connectionSelectedOne', 'isCopy'];

    actions = {
        setPageIndex:(index: string) => {
            this.model.pageIndex = index;
        },
    }
}
