import { model, Model } from '@core/core';
import { AppModel } from '../app.model';

@model()
export class TitleModel extends Model<{
    types: {
        pageIndex: AppModel['TYPE']['pageIndex'];
        datebaseTypeSelected: AppModel['TYPE']['datebaseTypeSelected'];
    },
    context: TitleModel['context'];
}> {
    static xtype = 'dec.dcm.model.title';

    context = <const>['pageIndex', 'datebaseTypeSelected']

    actions = {
        setPageIndex: (index: string) => {
            this.model.pageIndex = index;
        },
    }
}
